package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;
import ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.data.Microdata;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 4/10/12
 * Time: 2:51 AM
 */
public class NoSuchSchemaOrgFieldMicrodataValidatorException extends MicrodataValidatorException {
    @Override
    public String getKey() {
        return "schema_no_field";
    }

    public NoSuchSchemaOrgFieldMicrodataValidatorException(final boolean isCritical, final String message, final Microdata microdata) {
        super(isCritical, message, microdata);
    }

    public NoSuchSchemaOrgFieldMicrodataValidatorException(final boolean isCritical, final String message, final Microdata microdata, final EntityLocation location) {
        super(isCritical, message, microdata,location);
    }
}
